ChartRepo [app.alauda.io/v1alpha1]

Type
object
Required
spec

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject
statusobject

.spec

Type
object
Required
typeurl
PropertyTypeDescription
secretobject

Secret contains information about how to auth to this repo

sourceobject

new in v1beta1.if type is Chart, this is optional and it will provide some compatible with v1alpha1

typestring

new in v1beta1

urlstring

URL is the repo's url

.spec.secret

Description
Secret contains information about how to auth to this repo
Type
object
PropertyTypeDescription
namestring

Name is unique within a namespace to reference a secret resource.

namespacestring

Namespace defines the space within which the secret name must be unique.

.spec.source

Description
new in v1beta1.if type is Chart, this is optional and it will provide some compatible with v1alpha1
Type
object
Required
url
PropertyTypeDescription
pathstring

may be root, may be a subdir

urlstring

vcs url

.status

Type
object
PropertyTypeDescription
phasestring

Phase ... After create, this phase will be updated to indicate it's sync status If receive update event, and some field in spec changed, sync agagin.

reasonstring

Reason is the failed reason

API Endpoints

The following API endpoints are available:

  • /apis/app.alauda.io/v1beta1/namespaces/{namespace}/chartrepos
    • DELETE: delete collection of ChartRepo
    • GET: list objects of kind ChartRepo
    • POST: create a new ChartRepo
  • /apis/app.alauda.io/v1beta1/namespaces/{namespace}/chartrepos/{name}
    • DELETE: delete the specified ChartRepo
    • GET: read the specified ChartRepo
    • PATCH: partially update the specified ChartRepo
    • PUT: replace the specified ChartRepo
  • /apis/app.alauda.io/v1beta1/namespaces/{namespace}/chartrepos/{name}/status
    • GET: read status of the specified ChartRepo
    • PATCH: partially update status of the specified ChartRepo
    • PUT: replace status of the specified ChartRepo

/apis/app.alauda.io/v1beta1/namespaces/{namespace}/chartrepos

HTTP method
DELETE
Description
delete collection of ChartRepo
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ChartRepo
HTTP responses
HTTP codeResponse body
200 - OKChartRepoList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ChartRepo
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyChartRepo schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKChartRepo schema
201 - CreatedChartRepo schema
202 - AcceptedChartRepo schema
401 - UnauthorizedEmpty

/apis/app.alauda.io/v1beta1/namespaces/{namespace}/chartrepos/{name}

HTTP method
DELETE
Description
delete the specified ChartRepo
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ChartRepo
HTTP responses
HTTP codeResponse body
200 - OKChartRepo schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ChartRepo
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKChartRepo schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ChartRepo
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyChartRepo schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKChartRepo schema
201 - CreatedChartRepo schema
401 - UnauthorizedEmpty

/apis/app.alauda.io/v1beta1/namespaces/{namespace}/chartrepos/{name}/status

HTTP method
GET
Description
read status of the specified ChartRepo
HTTP responses
HTTP codeResponse body
200 - OKChartRepo schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified ChartRepo
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKChartRepo schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified ChartRepo
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyChartRepo schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKChartRepo schema
201 - CreatedChartRepo schema
401 - UnauthorizedEmpty